

%define name    udftools
%define version	1.0.0
%define beta	b3
%define tarver	%{version}%{beta}cvs20040419
%define mdkrel	7mdk


%if %beta
%define release 0.%{beta}.%{mdkrel}
%else
%define release %{mdkrel}
%endif

%define major 1
%define libname %mklibname udftools %{major}


Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	GPL
Group:		System/Kernel and hardware
Provides:	udf
Obsoletes:	udf
Autoreqprov:	off
Summary:	UDF filesystem tools.
Source:		%{name}-%{tarver}.tar.bz2
Source1:	pktcdvd.init.d.bz2
Source2:	pktcdvd.sysconfig.bz2
Source3:	pktcdvd.html.bz2
Source4:	pktcdvd-hint.txt.bz2
#Patch1:		udftool}s-%{cvsrelease}.patch.bz2
Patch2:		udftools-disable_broken.patch.bz2 
Patch3:		udftools-1.0.0b3cvs_add_cdmrw.patch.bz2
Patch4:		udftools-1.0.0b3-kernel-2.6.8.1.patch.bz2
URL:		http://sourceforge.net/projects/linux-udf/
BuildRoot:	%{_tmppath}/%{name}-%{version}%{beta}-build
Requires:	%{libname} = %version-%release
BuildRequires:	autoconf2.5 automake1.7

%description -n udftools
These are tools for UDF file systems as used, e.g.,
on DVD-RAM, DVD+RW, CD-RW. They are also used for
managing Packet-CD/DVD devices and media.


%package -n %{libname}
Summary:	Libraries from %name.
Group:		System/Libraries
Provides:	%{libname} = %version-%release
Provides:	libudftools = %version-%release

%description -n %{libname}
This package contains the libraries meeded by %name.


%package -n %{libname}-devel
Summary:	Devel files from %name.
Group:		Development/C
Requires:	%{libname} = %version-%release
Provides:	libudftools-devel = %version-%release
Provides:	%{libname}-devel = %version-%release

%description -n %{libname}-devel
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %libname-static-devel
Summary:	Static Library for developing applications with %name.
Group:		Development/C
Requires:	%libname-devel = %version-%release
Provides:	libudftools-static-devel = %version-%release
Provides:	%{libname}-static-devel = %version-%release

%description -n %libname-static-devel
This contains the static library of %name needed for building apps that
link statically to %name.

%prep
%setup -q -n %{name}
#{version}%{beta}
#patch1
#patch2 -p1
%patch3 -p1
%patch4 -p1 -b .kernel-2.6.8.1
perl -pi -e 's! udfct/Makefile! udfct/Makefile cdmrw/Makefile!' configure.in
perl -pi -e 's! udfct! udfct cdmrw!' Makefile.am

%build
WANT_AUTOCONF_2_5=1 ACLOCAL=aclocal-1.7 AUTOMAKE=automake-1.7 \
    autoreconf-2.5x --force --install
%configure2_5x --enable-shared
%make

%install
rm -Rf $RPM_BUILD_ROOT
%makeinstall_std
ln -s %_bindir/mkudffs %buildroot/%_bindir/mkfs.udffs
ln -s %_bindir/udffsck %buildroot/%_bindir/fsck.udffs

install -d %buildroot/%_initrddir
install -d %buildroot/%_sysconfdir/sysconfig

bzcat %{SOURCE1} >  %buildroot/%_initrddir/pktcdvd
bzcat %{SOURCE2} >  %buildroot/%_sysconfdir/sysconfig/pktcdvd
bzcat %{SOURCE3} >  doc/pktcdvd.html
bzcat %{SOURCE4} >  doc/pktcdvd-hint.txt

%clean
rm -Rf $RPM_BUILD_ROOT

%post
%_post_service pktcdvd

%preun
%_preun_service pktcdvd

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr (- ,root,root)
%doc ChangeLog AUTHORS doc/pktcdvd*
%{_bindir}/*
%attr (0755,root,root) %{_initrddir}/pktcdvd
%config (noreplace) %{_sysconfdir}/sysconfig/pktcdvd
%{_mandir}/man1/*.1.bz2
%{_mandir}/man8/*.8.bz2

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%_libdir/*.so
%_libdir/*.la

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog -n udftools
* Fri Oct 08 2004 Marcel Pol <mpol@mandrake.org> 1.0.0-0.b3.7mdk
- from couriousous <couriousous at zarb.org>
  update initscript and sysconfig file (bug #12018)

* Fri Sep 10 2004 couriousous <couriousous@zarb.org> 1.0.0-0.b3.6mdk
- Patch4 for 2.6.8.1 kernel

* Tue Jul 27 2004 svetljo<svetljo@gmx.de> 2.3.4-4mdk
- rebuild

* Thu Jun 13 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.0.0b3-4mdk
- drop club stuff
- update email

* Mon Apr 26 2004 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-3mdk
- fix config file path
- install the other doc too

* Tue Apr 20 2004 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-2mdk
- update to cvs 20040419
  ( fixes compilation of wrudf & udffsck )
- add init scripts
- add mkfs.udffs & fsck.udffs symlinks
- add some docs from the net
  ( need mdk-fication)
- add missing changelog

* Fri Apr 02 2004 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-1mdk
- 1.0.0-b3 final
- add cdmrw tool

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 1.0.0-0.b3.20030825.1mdk
- beta is part of release tag, not version
- make sure to use autoconf-2.5 and automake-1.7
- other small changes in specfile

* Tue Aug 26 2003 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-0.20030825.1mdk
- initial release

